# [[Airtable]] [[API]]
[For Table "Pass"](https://airtable.com/appgDPgP6TosV9XPw/api/docs#curl/ratelimits)
### Given Code
in [[JavaScript]] or [[cURL]]
##### Authentication
```c
$ curl https://api.airtable.com/v0/appgDPgP6TosV9XPw/Basic \
-H "Authorization: Bearer YOUR_SECRET_API_TOKEN"
```
Using Environment Variable:
```JS
# Shell:
$ export AIRTABLE_API_KEY=YOUR_SECRET_API_TOKEN
# Node:
const base = require('airtable').base('appgDPgP6TosV9XPw');
```
Using Custom Configuration:
```JS
var Airtable = require('airtable');
Airtable.configure({
endpointUrl: 'https://api.airtable.com',
apiKey: 'YOUR_SECRET_API_TOKEN'
});
var base = Airtable.base('appgDPgP6TosV9XPw');
```
##### Retrieve a Basic Record
```c
curl https://api.airtable.com/v0/appgDPgP6TosV9XPw/Basic/recurBlfi7SuLNqhY \
-H "Authorization: Bearer YOUR_SECRET_API_TOKEN"
```
Response:
```c
{
"id": "recurBlfi7SuLNqhY",
"createdTime": "2023-05-29T00:28:01.000Z",
"fields": {
"Type": "Adulting",
"Pass": "…12!",
"Email": [
"
[email protected]"
],
"Title": "1800contacts",
"Created By": {
"id": "usr16syG2db6VuBdb",
"email": "
[email protected]",
"name": "Elise Bonger"
}
}
}
```
---
```JS
var Airtable = require('airtable');
var base = new Airtable({apiKey: 'YOUR_SECRET_API_TOKEN'}).base('appgDPgP6TosV9XPw');
base('Basic').find('recurBlfi7SuLNqhY', function(err, record) {
if (err) { console.error(err); return; }
console.log('Retrieved', record.id);
});
```
Output:
```JS
Retrieved recurBlfi7SuLNqhY
```